Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model
Interface RDFExternalResource

All Superinterfaces:
  Comparable<edu.stanford.smi.protege.model.Frame>, edu.stanford.smi.protege.model.Frame, edu.stanford.smi.protege.model.Instance, Visitable

All Known Implementing Classes:
  DefaultRDFExternalResource

    public interface RDFExternalResource

extends edu.stanford.smi.protege.model.Instance, Visitable

An Instance that represents a reference to an external URI. API users of this class should only use the methods provided below, as all the others are not persisted in OWL files.

Author:
  Holger Knublauch

Method Summary
`String` | `getResourceURI()` Gets the URI string of the resource being represented by this.
`void` | `setResourceURI(String value)` Sets the URI string.

Methods inherited from interface edu.stanford.smi.protege.model.Instance
`addDirectType, addInstanceListener, getDirectType, getDirectTypes, getReachableSimpleInstances, hasDirectType, hasType, moveDirectType, removeDirectType, removeInstanceListener, setDirectType, setDirectTypes`

Methods inherited from interface edu.stanford.smi.protege.model.Frame
`addFrameListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, assertFrameName, copy, deepCopy, delete, getBrowserText, getDirectOwnSlotValue, getDirectOwnSlotValues, getDocumentation, getFrameID, getIcon, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getName, getOwnFacetValue, getOwnFacetValues, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReferences, getReferences, hasOwnSlot, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValid, isValidOwnSlotValue, isVisible, markDeleted, markDeleting, moveDirectOwnSlotValue, removeFrameListener, removeOwnSlotValue, rename, setDirectOwnSlotValue, setDirectOwnSlotValues, setDocumentation, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, setVisible, shallowCopy`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.visitor.Visitable
`accept`

Method Detail

### getResourceURI

    String getResourceURI()

  Gets the URI string of the resource being represented by this.

  Returns:
    the URI string or null if not specified yet

### setResourceURI

    void setResourceURI(String value)

  Sets the URI string.

  Parameters:
    `value` -
  See Also:
    `getResourceURI()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.